Bug 335221 - Need BIOS quirk for X61
Summary: Need BIOS quirk for X61
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal   
(Show other bugs)
Version: 9
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-16 19:52 UTC by Ulrich Drepper
Modified: 2013-03-06 03:53 UTC (History)
3 users (show)

Fixed In Version: Fedora 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 23:53:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add quirk entry. (607 bytes, patch)
2007-10-16 19:52 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2007-10-16 19:52:11 UTC
Description of problem:
Like all other Thinkpads the X61 needs the BIOS quirks enabled for suspend to
work.  I'm attaching a tested patch.

Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8.x86_64

How reproducible:
always

Steps to Reproduce:
1.suspend
2.resume
3.
  
Actual results:
no video

Expected results:
video!

Additional info:
All X61 machines need this.  So, instead of going after the model number match
the model name which is shared.  This is what the attached patch does.

Comment 1 Ulrich Drepper 2007-10-16 19:52:11 UTC
Created attachment 229191 [details]
Patch to add quirk entry.

Comment 2 petrosyan 2008-02-18 07:16:05 UTC
my thinkpad X61 (7675) needs only s3_bios quirk for kernels <= 2.6.23, and does
not need any quirks for kernel-2.6.24.2
it never needed the s3_mode quirk.

see http://lists.freedesktop.org/archives/hal/2008-February/010798.html for more
details.

Comment 3 petrosyan 2008-03-26 21:12:55 UTC
I just tested 2.6.25-0.157.rc7.fc9.x86_64 kernel and for suspend to work
properly I need s3_bios quirk again, but I still don't need the s3_mode quirk.

Comment 4 Bug Zapper 2008-05-14 03:25:41 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Richard Hughes 2008-05-30 11:35:46 UTC
Does this fix still need applying? if so, please email the hal development
mailing list and we'll review your quirk there. Thanks.

Comment 6 Ulrich Drepper 2008-06-27 03:57:00 UTC
F9 works, there is an appropriate entry in the file (product ID 7675 in my
case).  For F9 this BZ can be closed.

Comment 7 petrosyan 2008-07-02 23:53:51 UTC
closing as requested in comment #6


Note You need to log in before you can comment on or make changes to this bug.